---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ .Release.Name }}
  labels:
    {{- include "chart.labels" . | nindent 4 }}
  annotations:
    cert-manager.io/cluster-issuer: ingress
    certmanager.k8s.io/acme-challenge-type: http01
  {{- if not (empty .Values.whitelist) }}
    nginx.ingress.kubernetes.io/whitelist-source-range: {{ .Values.whitelist | quote }}
  {{- end }}
spec:
  ingressClassName: {{ .Values.ingressNginx.ingressClassName }}
  rules:
    - host: {{ .Values.host }}
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: {{ .Release.Name }}
                port:
                  name: http
  tls:
    - secretName: {{ .Release.Name }}-ingress-tls
      hosts:
        - {{ .Values.host }}
